=== debian/changelog ===
dtkmultimedia (6.0.4) unstable; urgency=medium

  * chore: [tag]New tag 6.0.4
  * fix: Fix Qt5 build issue

 -- re2zero <yangwu@uniontech.com>  Wed, 15 Oct 2025 08:46:53 +0800

dtkmultimedia (6.0.3) unstable; urgency=medium

  * chore: [tag]New tag 6.0.3
  * feat: Enable build Qt6 or Qt5 package.
  * Integrate changes from branch qt6.8.

 -- re2zero <yangwu@uniontech.com>  Tue, 14 Oct 2025 15:24:12 +0800

dtkmultimedia (6.0.2) unstable; urgency=medium

  * fix: ocr crash on sw64(Bug: 319961)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 13 Jun 2025 14:18:54 +0800
