=== debian/control ===
Source: dtkmultimedia
Section: libdevel
Priority: optional
Maintainer: Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 pkg-config,
 qt6-5compat-dev | libqt5x11extras5-dev,
 qt6-base-dev | qtbase5-dev,
 qt6-base-private-dev | qtbase5-private-dev,
 qt6-tools-dev-tools | qttools5-dev-tools,
 qt6-tools-dev | qttools5-dev,
 qt6-multimedia-dev | qtmultimedia5-dev,
 qt6-base-dev | libqt5opengl5-dev,
 libdtk6widget-dev | libdtkwidget-dev,
 libdtk6core-dev | libdtkcore-dev,
 doxygen,
 librsvg2-dev,
 libmpv-dev,
 libffmpegthumbnailer-dev,
 libxtst-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libpulse-dev,
 libdvdnav-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libavdevice-dev,
 libswscale-dev,
 libswresample-dev,
 libavfilter-dev,
 libudev-dev,
 libusb-1.0-0-dev,
 portaudio19-dev,
 libv4l-dev,
 libncnn-dev,
 libopencv-mobile-dev
Standards-Version: 4.5.0

Package: libdtk6multimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development Tool Kit multimedia library
 libdtk6multimedia is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtk6multimedia-dev
Architecture: any
Depends: ${misc:Depends}, libdtk6multimedia( =${binary:Version})
Description: Development Tool Kit multimedia devel library
 libdtk6multimedia-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.

Package: libdtk6ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development Tool Kit ocr library
 libdtk6ocr is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtk6ocr-dev
Architecture: any
Depends: ${misc:Depends}, libdtk6ocr( =${binary:Version})
Description: Development Tool Kit ocr devel library
 libdtk6ocr-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.
